Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.config
Class ScheduleAnnotationParser

    java.lang.Object
      org.mule.config.endpoint.AbstractEndpointAnnotationParser
          org.mule.transport.quartz.config.ScheduleAnnotationParser

All Implemented Interfaces:
  MuleContextAware, EndpointAnnotationParser

    public class ScheduleAnnotationParser

extends AbstractEndpointAnnotationParser

Creates a Quartz inbound endpoint for a service

Field Summary

Fields inherited from class org.mule.config.endpoint.AbstractEndpointAnnotationParser
`ENDPOINT_BUILDER_POSTFIX, muleContext`

Constructor Summary
`ScheduleAnnotationParser()`

Method Summary
`protected AnnotatedEndpointData` | `createEndpointData(Annotation annotation)`
`protected QuartzConnector` | `getConnector()`
`protected String` | `getIdentifier()`
`protected String[]` | `getProperties(Schedule schedule)`
`InboundEndpoint` | `parseInboundEndpoint(Annotation annotation, Map metaInfo)` Creates an inbound endpoint from the annotation.
`boolean` | `supports(Annotation annotation, Class clazz, Member member)` Validates that this parser can parse the supplied annotation.

Methods inherited from class org.mule.config.endpoint.AbstractEndpointAnnotationParser
`convertProperties, getEndpointHelper, lookupConfig, parseOutboundEndpoint, setMuleContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleAnnotationParser

    public ScheduleAnnotationParser()

Method Detail

### parseInboundEndpoint

    public InboundEndpoint parseInboundEndpoint(Annotation annotation,
                                                Map metaInfo)
                                         throws MuleException

  Description copied from interface: `EndpointAnnotationParser`
  Creates an inbound endpoint from the annotation.

  Specified by:
    `parseInboundEndpoint` in interface `EndpointAnnotationParser`
  Overrides:
    `parseInboundEndpoint` in class `AbstractEndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `InboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the inbound endpoint cannot be created. A Mule-specific error will be thrown.

### createEndpointData

    protected AnnotatedEndpointData createEndpointData(Annotation annotation)
                                                throws MuleException

  Specified by:
    `createEndpointData` in class `AbstractEndpointAnnotationParser`
  Throws:
    `MuleException`

### getProperties

    protected String[] getProperties(Schedule schedule)
                              throws MuleException

  Throws:
    `MuleException`

### getIdentifier

    protected String getIdentifier()

  Specified by:
    `getIdentifier` in class `AbstractEndpointAnnotationParser`

### getConnector

    protected QuartzConnector getConnector()
                                    throws MuleException

  Throws:
    `MuleException`

### supports

    public boolean supports(Annotation annotation,
                            Class clazz,
                            Member member)

  Validates that this parser can parse the supplied annotation. Only returns true if the clazz is not an interface and the annotation is an instance of `Schedule`

  Specified by:
    `supports` in interface `EndpointAnnotationParser`
  Overrides:
    `supports` in class `AbstractEndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation being processed
    `clazz` - the class on which the annotation was found
    `member` - the member on which the annotation was found inside the class. this is only set when the annotation was either set on a `Method`, `Field` or `Constructor` class members, otherwise this value is null.
  Returns:
    true if this parser supports the current annotation and the clazz is not an interface
  Throws:
    `IllegalArgumentException` - if the class parameter is an interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.